// Here we first set up our animations by telling GMS2 how
// they should mix together. Most of these will use a "half/half"
// mix value of 0.5, but it'll all depend on your game and sprites
// what you use. Try changing the values here and see what happens!

skeleton_animation_mix("portal", "idle", 0.5);
skeleton_animation_mix("idle", "run", 0.5);
skeleton_animation_mix("run", "run-to-idle", 0.5);
skeleton_animation_mix("run-to-idle", "idle", 0.5);
skeleton_animation_mix("run", "jump", 0.5);
skeleton_animation_mix("jump", "run", 0.5);
skeleton_animation_mix("idle", "jump", 0.5);
skeleton_animation_mix("jump", "idle", 0.5);

// Here we set our initial "intro" animation See the button objects
// "Idle", "Run", "Jump" and "Aim" to see how we set the different
// Spine animations.
skeleton_animation_set("portal");

// Some controller vars
image_speed = 1;
o_state = "idle";
