/// @description

// Sometimes you want an animation to start to change only at 
// a specific moment so that the mix settings from the Create 
// event get a chance to work properly and look correct. For that
// we use the following "switch" to check for specific animation
// states and frames to change animations smoothly.
switch(skeleton_animation_get())
{
case "portal":
	if skeleton_animation_get_frame(0) > 75
		{
		skeleton_animation_set("idle");
		}
	break;
case "run-to-idle":
	if skeleton_animation_get_frame(0) > 5
		{
		skeleton_animation_set("idle");
		}
	break;
case "jump":
	if skeleton_animation_get_frame(0) > 35
		{
		with (obj_Button_Parent)
			{
			pressed = false;
			o_pressed = false;
			}
		if o_state = "idle"
			{
			skeleton_animation_set("idle");
			with (obj_Button_Idle) pressed = true;
			}
		else
			{
			skeleton_animation_set("run");
			with (obj_Button_Run) pressed = true;
			}
		}
	break;
}
